@import 'src/components/rem';

.grid {
    display: grid;
    grid-template-columns: rem(140px) 1fr;
    grid-column-gap: rem(16px);

    label {
        justify-self: flex-end;
    }

    * {
        align-self: center;
    }

    span {
        grid-column: 2/3;
    }
}

.cost {
    display: grid;
    grid-template-columns: rem(140px) 200px;
    grid-column-gap: rem(16px);

    label {
        justify-self: flex-end;
    }

    * {
        align-self: center;
    }

    span {
        grid-column: 2/3;
    }
}

.popup {
    position: relative;
    z-index: 1;
    height: 100vh;
}

.popup form {
    height: 100%;
}

.content {
    overflow-y: scroll;
    height: calc(100% - 150px);
    box-sizing: border-box;
}

.calendar {
    padding: 0;
    display: grid;
    grid-template-columns: 1.5fr 0.9fr;
    grid-column-gap: 10px;
}

.calendarField {
    position: relative;
    display: inline-grid;
    grid-template-columns: 140px 1fr;
    grid-column-gap: 16px;

    label {
        white-space: nowrap;
        justify-self: end;
    }
}

.calendarField input + div {
    display: none !important;
}

.sub-title {
    margin-top: rem(48px);
    margin-bottom: rem(16px);
}

@media screen and (max-width: 768px) {
    .grid, .calendar, .cost, .calendarField {
        display: block;
    }

    .calendarField {
        margin-bottom: rem(8px);
    }
}
